Subject: [IPP] IPP Agenda - 4pm EDT Monday 14 Septemer

From: Ira McDonald <[email-masked]>
Date: Fri, 11 Sep 2009 15:18:06 -0400

Next IPP WG call:

 Monday 14 September - 1pm PDT / 4pm EDT

 Call-in toll-free number (US/Canada): 1-866-469-3239
 Call-in toll number (US/Canada): 1-650-429-3300 (Primary)
 Call-in toll number (US/Canada): 1-408-856-9570 (Backup)

 Attendee Access Code: *******#
 Attendee ID Code: # (empty)

If you need the Attendee Access code, please email me a request.

Agenda:

(1) IP Policy and Minute Taker
    - Mike?
(2) Approve IPP minutes from 1 September
    - ftp://ftp.pwg.org/pub/pwg/ipp/minutes/IPPv2-ConCall-Minutes-20090901.pdf
(3) IANA IPP Registry status (Tom/Ira)
    - bugs for IETF specs found by Sarah Windler
    - updates for 10 PWG IPP specs
(4) Review IPP Production Printing Set2 (Tom)
    - ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippprodprintext10-v4-20090906.pdf
(5) Next Steps

Cheers,
- Ira (IPP co-editor)

Ira McDonald (Musician / Software Architect)
Chair - Linux Foundation Open Printing WG
Blue Roof Music/High North Inc
email: [email-masked]
winter:
  579 Park Place  Saline, MI  48176
  734-944-0094
summer:
  PO Box 221  Grand Marais, MI 49839
  906-494-2434

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: "Zehler, Peter" <[email-masked]>
Date: Sat, 12 Sep 2009 03:19:06 -0700

Next IPP WG call:

Click Here to Join Live Meeting 

<https://www.livemeeting.com/cc/xerox/join?id=PWG_MFD&role=attend&pw=PQ%
25%3EFj5sN> 

Agenda:

(1) IP Policy and Minute Taker
    - Mike?
(2) Approve IPP minutes from 1 September
    -
ftp://ftp.pwg.org/pub/pwg/ipp/minutes/IPPv2-ConCall-Minutes-20090901.pdf

    -
ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippprodprintext10-v4-20090906.pdf 
(5) Next Steps

Cheers,
- Ira (IPP co-editor)

---

From: "Tom Hastings" <[email-masked]>
Date: Sun, 13 Sep 2009 16:29:31 -0700

To IPP WG,

On Saturday, Pete had updated the .pdf files since Ira posted them on Friday, so you’ll need to re-load them, if you got them on Friday (also be sure to refresh your browser, if that is how you got them, or you will get the old ones):  

ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippprodprintext10-v4-20090906.pdf
ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippprodprintext10-v4-20090906-rev.pdf
ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippprodprintext10-v4-20090906.doc
ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippprodprintext10-v4-20090906-rev.pdf

The two .pdf files have the MS-WORD comments in the right margin, hot links in the Table of Contents and in running text.  I’ve also used hot links to the references, to references to other sections, and to some of the Defined Terms.  Ira informs me that the current IPP .pdf files do NOT have hot links, so maybe I’m wasting my time.  Check out the .pdf file to see what you think.  Or course, the MS-WORD comments won’t be in any final .pdf version.  Here is the Change Log for v4, which also uses hot links to the sections that been modified (the hot links don’t work in this email, only in the .doc and .pdf files).  The Change Log for v3 has Michael’s excellent minutes:

1 Appendix X - Change Log
[[[PWG Secretary: Delete this section before publication as a Candidate Standard]]]
10 September 2009 (v0.4)
 - Drafted text to follow the agreements made at the 2009-09-01 IPP WG meeting (see v0.3 log):
• Section 1 Introduction: Changed “job-printer-make-and-model” to “job-save-printer-make-and model” to agree with section 6.1
• Section 2.2 Other terminology: added definitions for Proof Print Job, Retained Job, and Saved Job.
• Section 3.3 Job Save and Reprint Capability: A Saved Job is a special case of a Retained job.
• Section 3.3.1.1 Reprinting using the Reprocess-Job operation: Added additional semantics of the existing [RFC3998] Reprocess-Job operation when reprinting a Saved Job.  Removed the Print-URI operation from this document, since it won’t be used for reprinting Saved Jobs.
• Section 3.3.1.2 Reprinting using the Resubmit-Job operation: Added the semantics for the new Resubmit-Job operation.
• Section 5.5 job-phone-number  (uri): changed the data type from text(127) to uri and added that the Printer MUST support the ‘tel:’ URI scheme and MAY support others, such as “fax:’.
• Section 5.7.1.1 save-disposition (type3 keyword): Added that the “job-save-disposition” is NOT copied from the Saved Job to the job copy, so that the job is NOT re-saved.
• Section 5.7.1.2.3.2 save-name (name(MAX)): Replaced the error condition when a supplied “save-name” already exists, with the requirement that the Printer MUST save the job even if the “save-name” already exists, since the “job-id” is what distinguishes Saved Jobs.
• Section 5.7.1.2.3.3 save-document-format (mimeMediaType): Added that the Printer is free to store saved data in any form for convenient, fast, and/or compact, in addition to the format indicated by the “save-document-format” attribute.
• Section 5.9 proof-print  (collection): Proof Print Job is a Retained Job with the “proof-print” attribute included.  When the Proof Print Job is reprinted, the “proof-print” attribute is not copied to the job of the job and the Proof Print Job is then aged out as usual.
• Section 7.2 job-password-supported  (integer(0:255)): change the data type from integer(0:127) to integer(0:255), since the password can be 255 octets long.
• Section 8.4 Additional keyword values for the “media” Job Template attribute - Added a large number of keywords from [JDF1.4] MediaType and MediaTypeDetails, including the five keywords from “media-material” ('aluminum', 'dry-film', 'paper', 'polyester', 'wet-film') and removed the “media-material” attribute altogether.
• Section 8.5.1 media-tooth (type3 keyword | name(MAX)): Added ‘antique’, ‘calendared’, ‘linen’, ‘smooth’, ‘stipple‘, ‘uncalendared’, and ‘vellum’ keywords from [JDF1.4].
• Section 10 IANA Considerations: Add IANA Registrations - work in progress.
• Section 13 References: Added [JDF1.4]
1 September 2009 (v0.3):
 - Agreements made at the IPP WG meeting
• Agreed that using “job-id” integer(1:MAX) has the handle to uniquely identify saved jobs in a Printer context makes sense, instead of “document-uri” (uri).
• Agreed that job reprint will be done using one of two operations;
⁃ Resubmit-Job (new) will print a saved job using the same job template attributes as the saved job, creating a new job (and job ID).
⁃ Reprocess-Job (defined in RFC 3998) will print a saved job, optionally with new job template attributes different from the saved job, creating a new job (and job ID).
• Agreed that a job-state-reasons keyword is preferable to a new boolean attribute specifying that a job is saved, since existing clients already look at job-state-reasons but won't know to look at the new attribute.
• Agreed that job-phone-number should be a tel: URI with fax: as a MAY.
• Lots of discussion about the job-save-dispostition:
⁃ Agreed that save-disposition is only used the first time - the job is not re-saved if re-submitted, re-processed, or re-started.
⁃ Agreed that save-disposition does not create a new job-id. Instead, the job-state-reasons attribute will contain the job-saving, job-saved-successfully, or job-save-error keywords.
⁃ Agreed to keep the save-location member attribute since it allows the client to specify where the job pool is located.
⁃ Agreed that the save-name + save-location paragraph concerning existing files needs to be rewritten.
• Agreed that proof-print is only used the first time - the job is not re-proofed if re-submitted, re-processed, or re-started.
• Agreed that job-saving, job-saved-successfully, and job-save-error should remain.

However, this email from Pete below had NOT come through the IPP reflector, so I'm doing a reply-all to his email, so that the cc list will get the email, in case my reply isn't accepted by the IPP reflector.  (I also noticed that the last time I sent to the IPP email reflector, that I got a reply that it has to be cleared with the list moderator.  When it did come through the From: was: 

[email-masked]; on behalf of; Tom Hastings [[email-masked]]

-----Original Message-----
From: Zehler, Peter [mailto:[email-masked]] 
Sent: Saturday, September 12, 2009 03:19
To: Ira McDonald; [email-masked]; Michael R Sweet; Paul Tykodi; Tom Hastings
Subject: IPP Agenda - 4pm EDT Monday 14 September (with LiveMeeting link)

Next IPP WG call:

https://www.livemeeting.com/cc/xerox/join?id=PWG_MFD&role=attend&pw=PQ%25%3EFj5sN

Agenda:

(5) Next Steps

Cheers,
- Ira (IPP co-editor)